无法运行示例程序,提示没有安装FFMPEG

这是打算运行的示例程序

using DifferentialEquations
f(u,p,t) = 1.01u
u0=1/2
tspan = (0.0,1.0)
prob = ODEProblem(f,u0,tspan)
sol = solve(prob,Tsit5(),reltol=1e-8,abstol=1e-8)
# 下面是画图
using Plots
plot(sol,linewidth=5,title=“Solution to the linear ODE with a thick line”,
xaxis=“Time (t)”,yaxis=“u(t) (in μm)”,label=“My Thick Line!”) # legend=false
plot!(sol.t, t->0.5*exp(1.01t),lw=3,ls=:dash,label=“True Solution!”)

下面是编译信息

[ Info: Precompiling Plots [91a5bcdd-55d7-5caf-9e0b-520d859cae80]
ERROR: LoadError: ArgumentError: Package FFMPEG [c87230d0-a227-11e9-1b43-d7ebe4e7570a] is required but does not seem to be installed:

  • Run Pkg.instantiate() to install all recorded dependencies.

Stacktrace:
[1] _require(::Base.PkgId) at .\loading.jl:982
[2] require(::Base.PkgId) at .\loading.jl:911
[3] require(::Module, ::Symbol) at .\loading.jl:906
[4] include at .\boot.jl:328 [inlined]
[5] include_relative(::Module, ::String) at .\loading.jl:1094
[6] include(::Module, ::String) at .\Base.jl:31
[7] top-level scope at none:2
[8] eval at .\boot.jl:330 [inlined]
[9] eval(::Expr) at .\client.jl:432
[10] top-level scope at .\none:3
in expression starting at C:\Users\Administrator.juliapro\JuliaPro_v1.2.0-1\packages\Plots\AXUqs\src\Plots.jl:11
ERROR: LoadError: Failed to precompile Plots [91a5bcdd-55d7-5caf-9e0b-520d859cae80] to C:\Users\Administrator.juliapro\JuliaPro_v1.2.0-1\compiled\v1.2\Plots\ld3vC.ji.
Stacktrace:
[1] compilecache(::Base.PkgId, ::String) at .\loading.jl:1253
[2] _require(::Base.PkgId) at .\loading.jl:1013
[3] require(::Base.PkgId) at .\loading.jl:911
[4] require(::Module, ::Symbol) at .\loading.jl:906
in expression starting at F:\JuliaWorkSpace\test-1.jl:8

使用的是JuliaPro_v1.2.0-1,无法科学上网

京ICP备17009874号-2